[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TShellListItem.isFolder

Checks for the directory attribute in the file system information for the list item.

## Declaration

Source position: shellctrls.pas line 253

`public function TShellListItem.isFolder: Boolean;`

## Function result

Returns True if the list item represents a directory on the local file system.

## Description

The return value is True if the Attr member in FileInfo includes the faDirectory flag value.

## Version info

Added in LCL version 3.0.

## See also

TShellListItem.FileInfo |  | File system information about the list item.
TFileItem.Create |  | Constructor for the class instance.
FindFirst
FindNext
TRawbyteSearchRec
TUnicodeSearchRec